import { Observable } from 'rxjs';
import { ParticleCid } from '../../../../types/base';
import { ServiceDeps } from '../types';
import { SyncQueueItem } from './types';
declare class ParticlesResolverQueue {
    isInitialized$: Observable<boolean>;
    private db;
    private waitForParticleResolve;
    private statusApi;
    private _syncQueue$;
    get queue(): Map<ParticleCid, SyncQueueItem>;
    private _loop$;
    get loop$(): Observable<any> | undefined;
    constructor(deps: ServiceDeps);
    private processSyncQueue;
    start(): this;
    enqueue(items: SyncQueueItem[]): Promise<void>;
    private loadSyncQueue;
}
export default ParticlesResolverQueue;
